TextOutputCallback (Java Platform SE 8 )
Keywords: javax.security.auth.callback.TextOutputCallback class
Date: 2026-08-19

compact1, compact2, compact3
javax.security.auth.callback

## Class TextOutputCallback

- java.lang.Object
- - javax.security.auth.callback.TextOutputCallback

- All Implemented Interfaces:
    Serializable, Callback

      public class TextOutputCallback
      extends Object
      implements Callback, Serializable

  Underlying security services instantiate and pass a `TextOutputCallback` to the `handle` method of a `CallbackHandler` to display information messages, warning messages and error messages.

  See Also:
    `CallbackHandler`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ERROR` Error message.
    `static int` | `INFORMATION` Information message.
    `static int` | `WARNING` Warning message.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextOutputCallback(int messageType, String message)` Construct a TextOutputCallback with a message type and message to be displayed.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()` Get the message to be displayed.
    `int` | `getMessageType()` Get the message type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INFORMATION

          public static final int INFORMATION

      Information message.
      See Also:
        Constant Field Values

    - #### WARNING

          public static final int WARNING

      Warning message.
      See Also:
        Constant Field Values

    - #### ERROR

          public static final int ERROR

      Error message.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TextOutputCallback

          public TextOutputCallback(int messageType,
                                    String message)

      Construct a TextOutputCallback with a message type and message to be displayed.

      Parameters:
        `messageType` - the message type (`INFORMATION`, `WARNING` or `ERROR`).

        `message` - the message to be displayed.

      Throws:
        `IllegalArgumentException` - if `messageType` is not either `INFORMATION`, `WARNING` or `ERROR`, if `message` is null, or if `message` has a length of 0.

  - ### Method Detail

    - #### getMessageType

          public int getMessageType()

      Get the message type.

      Returns:
        the message type (`INFORMATION`, `WARNING` or `ERROR`).

    - #### getMessage

          public String getMessage()

      Get the message to be displayed.

      Returns:
        the message to be displayed.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.